<?php
include_once($_SERVER['DOCUMENT_ROOT'].'/webEdition/we/include/we_inc_min.inc.php');
/**
 * class for Services
 * 
 * @category   app
 * @package    app_service
 * @license    http://www.gnu.org/licenses/lgpl-3.0.html  LGPL
 */
 
class wecustomerxmlexchange_service_Cmd extends we_app_service_AbstractCmd
{

public function import() {
		$utf8_decode = true;
		$translate = we_core_Local::addTranslation('apps.xml');
		we_core_Local::addTranslation('default.xml', 'wecustomerxmlexchange');
		$controller = Zend_Controller_Front::getInstance();
		$appName = $controller->getParam('appName');
		$appPath = $controller->getParam('appPath');
		$session = new Zend_Session_Namespace($appName);
		$model = $session->model;
		if(!we_core_Permissions::hasPerm('IMPORT_APP_' . strtoupper($appName))) {
			$ex = new we_service_Exception($translate->_('Kein Recht zum importieren!', null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		include_once($appPath.'/weCustomerXMLexchange_functions.php');
		$done=weCustomerXMLexchangeImport();
		if(!$done) {
			$ex = new we_service_Exception($translate->_('Error while importing: '.$model->ID, null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		else {
			$ex = new we_service_Exception(sprintf($translate->_("The data has been succesfully imported.", null, $utf8_decode),htmlspecialchars(str_replace($_SERVER['DOCUMENT_ROOT'], "", $model->ID))), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('notice');
			throw $ex;
		}
		
		return true;
}
public function export() {
		$utf8_decode = true;
		$translate = we_core_Local::addTranslation('apps.xml');
		we_core_Local::addTranslation('default.xml', 'wecustomerxmlexchange');
		$controller = Zend_Controller_Front::getInstance();
		$appName = $controller->getParam('appName');
		$appPath = $controller->getParam('appPath');
		$session = new Zend_Session_Namespace($appName);
		$model = $session->model;
		if(!we_core_Permissions::hasPerm('EXPORT_APP_' . strtoupper($appName))) {
			$ex = new we_service_Exception($translate->_('Kein Recht zum exportieren!', null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		include_once($appPath.'/weCustomerXMLexchange_functions.php');
		$done=weCustomerXMLexchangeExport();
		if(!$done) {
			$ex = new we_service_Exception($translate->_('Error while exporting: '.$model->ID, null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		else {
			$ex = new we_service_Exception(sprintf($translate->_("The data has been succesfully exported.", null, $utf8_decode),htmlspecialchars(str_replace($_SERVER['DOCUMENT_ROOT'], "", $model->ID))), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('notice');
			throw $ex;
		}
		
		return true;
}

public function save($args) {
		$utf8_decode = true;
		$translate = we_core_Local::addTranslation('apps.xml');
		we_core_Local::addTranslation('default.xml', 'wecustomerxmlexchange');
		if (!isset($args[0])) {
			throw new we_service_Exception('Form data not set (first argument) at save cmd!', we_service_ErrorCodes::kModelFormDataNotSet);
		}
		$formData = $args[0];
		$mydata='';//umwandeln der nicht als array erkannten Postdaten sodas diese gleich als array erscheinen
		foreach($formData as $fk =>$fv){
			$mydata.=$fk.'='.$fv.'&';
		}
		parse_str($mydata,$formData);
		
		
		$controller = Zend_Controller_Front::getInstance();
		$appName = $controller->getParam('appName');
		$appPath = $controller->getParam('appPath');
		$session = new Zend_Session_Namespace($appName);
		if (!isset($session->model)) {
			throw new we_service_Exception('Model is not set in session!', we_service_ErrorCodes::kModelNotSetInSession);
		}
		$model = $session->model;
		$model->setFields($formData);
		
		$newBeforeSaving = $model->ID == 0;
		// check if user has the permissions to create new entries
//		if ($model->ID == 0 && !we_core_Permissions::hasPerm('NEW_APP_' . strtoupper($appName))) {
//			$ex = new we_service_Exception($translate->_('You do not have the permission to create new entries or folders!', null, $utf8_decode));
//			$ex->setType('warning');
//			throw $ex;
//		}
		
		
		
		if(!we_core_Permissions::hasPerm('CONFIGURE_APP_' . strtoupper($appName))) {
			$ex = new we_service_Exception($translate->_('du komms hier net rein!', null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		
		// check given file name
//		if (!$args[0]['ID'] || $args[0]['ID'] === '') {
//			$ex = new we_service_Exception($translate->_('No file given.', null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
//			$ex->setType('warning');
//			throw $ex;
//		}

		$weCXMLeConfig = new Zend_Config(require $appPath.'/configuration.txt',true);
		$weCXMLeConfig->Version='0.1';
		$weCXMLeConfig->ImportFile = $formData['ImportFilePath'];
		$weCXMLeConfig->ExportFile = $formData['ExportFilePath'];
		
		$weCXMLeConfig->DateFormatImport = $formData['DateFormatImport'];
		$weCXMLeConfig->DateFormatExport = $formData['DateFormatExport'];
		$weCXMLeConfig->XMLnodeName = $formData['XMLnodeName'];
		$weCXMLeConfig->XMLParentnodeName = $formData['XMLParentnodeName'];
		$weCXMLeConfig->XMLMainnodeName = $formData['XMLMainnodeName'];
		$weCXMLeConfig->ProfileObjectClass = $formData['ProfileObjectClass'];
		if(isset($formData['ProfileObjectDirPath'])){$weCXMLeConfig->ProfileObjectDir = we_util_Path::path2Id($formData['ProfileObjectDirPath'],TBL_PREFIX.'tblObjectFiles');}
		if(isset($formData['Objectname'])){$weCXMLeConfig->Objectname=$formData['Objectname'];}
		
		if(isset($formData['foreignKeyField'])){$weCXMLeConfig->foreignKeyField = $formData['foreignKeyField'];} else {$weCXMLeConfig->foreignKeyField =0;}
		if(isset($formData['NodeFid'])){$weCXMLeConfig->NodeFid = $formData['NodeFid'];} else {$weCXMLeConfig->NodeFid =0; }
		if(isset($formData['NodeWEid'])){$weCXMLeConfig->NodeWEid = $formData['NodeWEid'];} else {$weCXMLeConfig->NodeWEid  =0; }
		if(isset($formData['NodeUsername'])){$weCXMLeConfig->NodeUsername = $formData['NodeUsername'];} else { $weCXMLeConfig->NodeUsername =''; }
		if(isset($formData['NodePassword'])){$weCXMLeConfig->NodePassword = $formData['NodePassword'];} else { $weCXMLeConfig->NodePassword =''; }
		if(isset($formData['exportC'])){$weCXMLeConfig->exportC = $formData['exportC'];} else { $weCXMLeConfig->exportC =''; }
		if(isset($formData['exportO'])){$weCXMLeConfig->exportO = $formData['exportO'];} else { $weCXMLeConfig->exportO =''; }
		if(isset($formData['nodes'])){$weCXMLeConfig->nodes = $formData['nodes'];} else { $weCXMLeConfig->nodes =''; }
		
		$writer = new Zend_Config_Writer_Array(array('config'   => $weCXMLeConfig,'filename' => $appPath.'/configuration.txt'));
		$writer->write();

		//$done=@file_put_contents($appPath.'/basic_configuration.txt', $args[0]['BasisKonfig']);
		$done=true;
		if(!$done) {
			$ex = new we_service_Exception($translate->_('Fehler beim Schreiben: '.$model->ID, null, $utf8_decode), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('error');
			throw $ex;
		}
		else {
			$ex = new we_service_Exception(sprintf($translate->_("The data has been succesfully saved.", null, $utf8_decode),htmlspecialchars(str_replace($_SERVER['DOCUMENT_ROOT'], "", $model->ID))), we_service_ErrorCodes::kModelTextEmpty);
			$ex->setType('notice');
			throw $ex;
		}

		return true;
		
	}

}
?>