<?php


/**
 * @see we_ui_controls_Tree
 */
Zend_Loader::loadClass('we_ui_controls_Tree');


class wecustomerxmlexchange_ui_controls_Tree extends we_ui_controls_Tree
{
	/**
	 * Constructor
	 * 
	 * Sets object propeties if set in $properties array
	 * 
	 * @param array $properties associative array containing named object properties
	 * @return void
	 */
	public function __construct($properties = null)
	{
		parent::__construct($properties);
		
		// add needed CSS files
		$this->addCSSFile(we_ui_layout_Themes::computeCSSURL(__CLASS__));		
	}
	
	/**
	 * Retrieve class of tree icon
	 * 
	 * @param string $contentType
	 * @param string $extension
	 * @return string
	 */
	public static function getTreeIconClass($contentType, $extension='')  
	{
		switch($contentType) {
			case "wecustomerxmlexchange/item":
				return "wecustomerxmlexchange_item";
				break;
			default:
				return we_ui_controls_Tree::getTreeIconClass($contentType, $extension='');
		}
	}
	
	public static function doCustom()
	{
		$controller = Zend_Controller_Front::getInstance();
		$appName = $controller->getParam('appName');
		$perm = 'CONFIGURE_APP_'.strtoupper($appName);
		if (we_core_Permissions::hasPerm($perm)){	
		$return=array(
			array(
	            'ID' => "Konfiguration",
		        'ParentID' => 0,
		        'Text' => 'Konfiguration',
		        'ContentType' => $appName.'/item',
		        'IsFolder' => 0,
				'Published' => 1,
				'Status' => ''
			),
			array(
	            'ID' => "Log",
		        'ParentID' => 0,
		        'Text' => 'Log',
		        'ContentType' => $appName.'/item',
		        'IsFolder' => 0,
				'Published' => 1,
				'Status' => ''
			),			
		);
		} else $return = array(
			array(
	            'ID' => "Log",
		        'ParentID' => 0,
		        'Text' => 'Log',
		        'ContentType' => $appName.'/item',
		        'IsFolder' => 0,
				'Published' => 1,
				'Status' => ''
			),		
		);
		return $return;		
	}
	
}

?>